<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Javascript CRUD</title>
    <link rel="stylesheet" href="style.css" />
    <script src="script.js" defer></script>
  </head>
  <body>
    <table>
      <tr>
        <td>
          <form
            onsubmit="event.preventDefault(); onFormSubmit()"
            autocomplete="off"
          >
            <div>
              <label>Full Name*</label
              ><label class="validation-error hide" id="fullNameValidationError"
                >This field is required.</label
              >
              <input type="text" name="fullName" id="fullName" />
            </div>
            <div>
              <label>EMP Code</label>
              <input type="text" name="empCode" id="empCode" />
            </div>

            <div>
              <label>Salary</label>
              <input type="text" name="salary" id="salary" />
            </div>

            <div>
              <label>City</label> <input type="text" name="city" id="city" />
            </div>
            <div class="form-action-buttons">
              <input type="submit" value="Submit" />
            </div>
          </form>
        </td>
        <td>
        <table class="list" id="employeeList">
          <thead>
            <tr>
              <th>Full Name</th>
              <th>EMP Code</th>
              <th>Salary</th>
              <th>City</th>
              <th></th>
            </tr>
          </thead>
          <tbody></tbody>
        </table>
      </td>
      </tr>
    </table>
  </body>
</html>
